<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Administration functions</title>
  </info>

  <para>This section presents the operations provided to the JOnAS
  administrator.</para>

  <para>These operations depend on the management target.</para>

  <section>
    <title>Server administration</title>

    <para>JOnAS administration mainly provides monitoring and configuration
    functions. Moreover, administrator can dynamically install/deploy/undeploy
    applications and/or resources on a running server. </para>

    <para>All the functions are proposed by the JonasAdmin application, wereas
    the <link xlink:href="command_guide.html#commands.jonas.jonasadmin"> jonas
    admin </link> command supports only a part of these functions.</para>
  </section>

  <section>
    <title>Domain administration</title>

    <para>Domain administration is mainly based on JonasAdmin. </para>

    <para>It allows consulting the domain map (shows the servers and
    clusters in the domain) and modify this map. </para>

    <para>Moreover, monitoring of the domain is provided: shows state
    evolution of servers and clusters, and statistics on resources used by
    the different servers in the domain. </para>

    <para>Finally, dynamic install/deploy/undeploy operations are extended at
    the domain level: the applications source is the administaror server and
    operation's target may be one ore more servers and/or clusters in the
    domain.</para>
  </section>

  <section>
    <title>Cluster administration</title>

    <para>Administrator may create clusters, add and/or remove servers to/from
    clusters. Allowed operations depend on the cluster type. </para>
  </section>
</section>